Package org.apache.calcite.avatica

# Class Meta.Pat

java.lang.Object
org.apache.calcite.avatica.Meta.Pat

Enclosing interface:
  Meta

public static class Meta.Pat extends Object
Wrapper to remind API calls that a parameter is a pattern (allows '%' and '_' wildcards, per the JDBC spec) rather than a string to be matched exactly.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`s`

## Method Summary

Modifier and Type
Method
Description
`static Meta.Pat`
`of(String name)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### s

public final String s

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### of

public static Meta.Pat of(String name)